<?php
use Illuminate\Support\ServiceProvider;
use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\MainController;
use Illuminate\Http\Request;
use App\Http\Middleware\AuthBuyer;


Route::get('/', function () {
    return view('welcome');
});

Route::match(['get'],'view-invoice/{id}', [MainController::class, 'view_invoice']);
Route::match(['get'],'takeaway-token/{type}/{id}', [MainController::class, 'takeaway_token']);
Route::match(['get'],'table-token/{type}/{id}', [MainController::class, 'table_token']);
Route::match(['get'],'delivery-token/{type}/{id}', [MainController::class, 'delivery_token']);

Route::match(['get'],'takeaway-bill/{id}', [MainController::class, 'takeaway_bill']);
Route::match(['get'],'table-bill/{id}', [MainController::class, 'table_bill']);
Route::match(['get'],'delivery-bill/{id}', [MainController::class, 'delivery_bill']);

Route::match(['get'],'takeaway-customer-reciept/{id}', [MainController::class, 'takeaway_customer_reciept']);
Route::match(['get'],'table-customer-reciept/{id}', [MainController::class, 'table_customer_reciept']);
Route::match(['get'],'delivery-customer-reciept/{id}', [MainController::class, 'delivery_customer_reciept']);


Route::match(['get', 'post'],'/booking', [MainController::class, 'booking']);